# @author Jop Bouckaert
# Returns heating, cooling or normal state
class Thermostat
  attr_accessor :current_value
  attr_accessor :wanted_value
  attr_accessor :range
  attr_accessor :heating
  attr_accessor :cooling
  DIVIDER = 2.0

  # @param [Hash] args the options to create a message with.
  # @option args [Numeric] :current_value current value
  # @option args [Numeric] :wanted_value  wanted value
  # @option args [Numeric] :range range
  def initialize(args)
    @current_value  = args[:current_value]  || 20
    @wanted_value   = args[:wanted_value]   || 30
    @range          = args[:range]          || 1
  end

  # Sets the current state of the themostat
  def state
    @heating = @current_value < @wanted_value - @range / DIVIDER
    @cooling = @current_value > @wanted_value + @range / DIVIDER
  end
end
